{% set comma = joiner(",") %}{% for h in csv_headers %}{{ comma() }}{{ h | safe }}{% endfor %}
{% for star in stars %}{% set comma = joiner(",") %}{% for v in star.csv_values() %}{{ comma() }}{{ v | safe }}{% endfor %}
{% endfor %}
